a, a:visited {
	text-decoration: none;
}
a:hover {
	text-decoration: underline;
}
.ui-widget a, a, a:visited, a:hover {
	color: blue;
}
p {
	text-indent: 1em;
	text-align: justify;
}
body h3:first {
	margin-top: 0;
}
#content h3 {
	padding: 0.3em;
	border: transparent;
	font-variant: small-caps;
}
#CDSmain li {
	margin-bottom: 0.5em;
}
hr {
	clear: both;
}
.ui-menu-frame .ui-state-active .ui-submenu-title {
	font-weight: bold;
}


/* ************ */
/* ERROR Dialog */
/* ************ */

.ui-dialog.alert {
	border-color: #e35a5a;
}
.ui-dialog.alert .ui-dialog-titlebar {
	border-color: #e35a5a;
	background: url('/simbad/css/images/ui-bg_gloss-wave-red.png') repeat-x scroll 50% 50% #e35a5a;
}
.ui-dialog.ui-widget-content.alert {
	background: #fef1ec;
}


/* ***** */
/* ICONS */
/* ***** */
.ui-state-default .waiting 		{ background-image: url('/simbad/images/waiting.gif'); }
.ui-state-default .properties 	{ background-image: url('/simbad/images/preview.png'); }
.ui-state-default .abort		{ background-image: url('/simbad/images/stop.png'); }
.ui-state-default .destroy		{ background-image: url('/simbad/images/delete.gif'); }
.ui-state-default .error		{ background-image: url('/simbad/images/error.png'); }
.ui-state-default .result		{ background-image: url('/simbad/images/download.png'); }
.ui-state-default .addTable		{ background-image: url('/simbad/images/add.gif'); }

button.deleteTable				{ width: 20px; height: 20px; background-image: url('/simbad/images/delete.gif'); }


img#warn_beta {
  filter: contrast(60%) brightness(200%) hue-rotate(200deg);
  height: 1.1em;
  vertical-align: text-top;
  border-style: none;
}

/* ************* */
/* PANELS LAYOUT */
/* ************* */
.ui-menu-frame {
	float: left;
}
.ui-menu-frame.reduced + #content {
	margin-left: 70px;
}
#content {
	margin-left: 280px;
	margin-right: 20px;
}

/* ************** */
/* NAVIGATION BAR */
/* ************** */
#navBar {
	font-style: italic;
	font-size: 0.8em;
	margin-bottom: 1em;
}
#navBar a {
	color: blue;
	padding: 0.2em;
	border: 1px solid transparent;
}
#navBar a:hover {
	border: 1px outset #e5e5e5;
	background-color: #eef2fb;
}

/* **************** */
/* CDS LOGIN WIDGET */
/* **************** */
#loginDiv {
	text-align: right;
	height: 20px;
	margin-bottom: 1em;
}
#CDSLoginWidget{
	display: inline;
}
#AdminLink {
	text-align: right;
	margin: 0.5em 0;
	margin-right: 0.7em;
	font-style: italic
}
#AdminLink a.loginWidgetLink {
	color: red;
}

#Beta {
	color: #317d8d;
}

/* ******** */
/* EXAMPLES */
/* ******** */
.example {
	font-style: italic;
	font-variant: normal;
	font-size: 0.8em;
}
#cboExamples {
	font-style: italic;
}

/* *********** */
/* TAP OPTIONS */
/* *********** */
ul#tapOptions {
	list-style-type: none;
	padding: 0;
	margin: 0;
	margin-top: 0.2em;
}
ul#tapOptions select {
	width: 100%;
}

/* ************ */
/* UPLOAD TABLE */
/* ************ */
#dlgUpload {
	margin: 0;
	padding: 0;
}
#dlgUpload fieldset {
	border: 0 none;
	margin: 0;
}
#dlgUpload .ui-dialog-buttonset {
	margin: 0;
	padding: 0;
}

table.upload {
	width: 200px;
	max-width: 200px;
	font-size: 0.8em;
	border-collapse: collapse;
	margin-top: 0.5em;
	margin-bottom: 0.5em;
}
table.upload, table.upload tr, table.upload td, table.upload th {
	border: 1px solid black;
}
table.upload td, table.upload th {
	padding-right: 0.2em;
	padding-left: 0.2em;
	
	max-width: 170px;
	overflow: auto;
}

/* ******** */
/* TAP FORM */
/* ******** */
#cmdCheck {
	font-size: 0.9em;
	margin-top: 0;
	margin-left: auto;
	padding-top: 0;
	border: 1px solid;
	background-color: fed; 
}
#checkMsg {
	margin-left: 1em;
	width: 100%;
	min-width: 100%;
	font-style:italic;
	font-size: 0.9em;
}
#queryCommands {
	text-align: center;
	margin-top: 0.5em;
}
#cmdStart {
	font-size: 1em;
	font-weight: bold;
}
#cmdStart:hover {
	color: green;
}
#cmdClear {
	font-size: 1em;
}

/* ********* */
/* JOBS LIST */
/* ********* */

#cmdError {
	color:red;
	font-weight: bold;
}
#cmdResults {
	color:green;
	font-weight: bold;
}

td .completed { color: green; }
td .aborted { color: orange; }
td .error { color: red; }


/* ***************** */
/* PROPERTIES DIALOG */
/* ***************** */

.ui-tabs .ui-tabs-panel {
	padding: 0.5em;
}
.ui-tabs-panel ul {
	padding-left: 1em;
	list-style-type: none;
}
.ui-tabs-panel li {
	font-size: 1em;
	margin-bottom: 1em;
}

#job-phase	{
	background-color: #efefef;
	text-align: center;
	padding: 0.5em;
	font-size: 1.2em;
	font-weight: bold;
	-moz-border-radius: 5px;
	-webkit-border-radius: 5px;
	-khtml-border-radius: 5px;
	border-radius: 5px;
}
#job-phase.QUEUED		{ background-color: #f6f8ff; }
#job-phase.COMPLETED	{ background-color: #b2e1b2; }
#job-phase.ERROR		{ background-color: #ffa5a5; font-weight: normal; }
#job-phase.ABORTED 	{ background-color: #ffedcb; }
#job-phase.PENDING, #job-phase.QUEUED, #job-phase.EXECUTING { padding-top: 0.1em; }

#job-error-message span, #job-error-details div {
	color: red;
}
#job-error-details div {
	overflow: auto;
}

table#job-params {
	width: 100%;
	border-collapse: collapse;
}
table#job-params, table#job-params tr, table#job-params td, table#job-params th {
	border: 1px solid black;
	font-size: 1em;
}
table#job-params td, table#job-params th {
	padding: 0.2em;
}
table#job-params th {
	background-color: #7f7f7f;
	color: white;
	font-weight: bold;
}
table#job-params tr.pair{
	background-color: #e5e5e5;
}

